< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package wco
  Definition Classes
    root
-  package datamodel
  Definition Classes
    wco
-  package wco
  Definition Classes
    datamodel
-  package res_dms
  Definition Classes
    wco
-  package _2
  Definition Classes
    res_dms
- ObjectFactory
- Response

c

wco.datamodel.wco.res_dms._2

# ObjectFactory 

###

#### class ObjectFactory extends AnyRef

This object contains factory methods for each Java content interface and Java element interface generated in the wco.datamodel.wco.res_dms._2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectFactory
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ObjectFactory()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  def createResponse(): Response

   Create an instance of ``

7.  def createResponseAdditionalInformation(value: AdditionalInformation): JAXBElement[AdditionalInformation]

   Create an instance of ```<````>`}

8.  def createResponseAdditionalInformation(): AdditionalInformation

   Create an instance of ``

9.  def createResponseAdditionalInformationPointer(): Pointer

   Create an instance of ``

10.  def createResponseAmendment(value: Amendment): JAXBElement[Amendment]

    Create an instance of ```<````>`}

11.  def createResponseAmendment(): Amendment

    Create an instance of ``

12.  def createResponseAmendmentPointer(): Pointer

    Create an instance of ``

13.  def createResponseAppealOffice(value: AppealOffice): JAXBElement[AppealOffice]

    Create an instance of ```<````>`}

14.  def createResponseAppealOffice(): AppealOffice

    Create an instance of ``

15.  def createResponseBank(value: Bank): JAXBElement[Bank]

    Create an instance of ```<````>`}

16.  def createResponseBank(): Bank

    Create an instance of ``

17.  def createResponseContactOffice(value: ContactOffice): JAXBElement[ContactOffice]

    Create an instance of ```<````>`}

18.  def createResponseContactOffice(): ContactOffice

    Create an instance of ``

19.  def createResponseContactOfficeCommunication(): Communication

    Create an instance of ``

20.  def createResponseDeclaration(value: Declaration): JAXBElement[Declaration]

    Create an instance of ```<````>`}

21.  def createResponseDeclaration(): Declaration

    Create an instance of ``

22.  def createResponseDeclarationDutyTaxFee(): DutyTaxFee

    Create an instance of ``

23.  def createResponseDeclarationDutyTaxFeePayment(): Payment

    Create an instance of ``

24.  def createResponseDeclarationDutyTaxFeePaymentObligationGuarantee(): ObligationGuarantee

    Create an instance of ``

25.  def createResponseDeclarationGoodsShipment(): GoodsShipment

    Create an instance of ``

26.  def createResponseDeclarationGoodsShipmentGovernmentAgencyGoodsItem(): GovernmentAgencyGoodsItem

    Create an instance of ``

27.  def createResponseDeclarationGoodsShipmentGovernmentAgencyGoodsItemCommodity(): Commodity

    Create an instance of ``

28.  def createResponseDeclarationGoodsShipmentGovernmentAgencyGoodsItemCommodityDutyTaxFee(): DutyTaxFee

    Create an instance of ``

29.  def createResponseDeclarationGoodsShipmentGovernmentAgencyGoodsItemCommodityDutyTaxFeePayment(): Payment

    Create an instance of ``

30.  def createResponseError(value: Error): JAXBElement[Error]

    Create an instance of ```<````>`}

31.  def createResponseError(): Error

    Create an instance of ``

32.  def createResponseErrorPointer(): Pointer

    Create an instance of ``

33.  def createResponseFunctionCode(value: ResponseFunctionCodeType): JAXBElement[ResponseFunctionCodeType]

    Create an instance of ```<````>`}

34.  def createResponseFunctionalReferenceID(value: ResponseFunctionalReferenceIDType): JAXBElement[ResponseFunctionalReferenceIDType]

    Create an instance of ```<````>`}

35.  def createResponseIssueDateTime(value: ResponseIssueDateTimeType): JAXBElement[ResponseIssueDateTimeType]

    Create an instance of ```<````>`}

36.  def createResponseStatus(value: Status): JAXBElement[Status]

    Create an instance of ```<````>`}

37.  def createResponseStatus(): Status

    Create an instance of ``

38.  def createResponseStatusPointer(): Pointer

    Create an instance of ``

39.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
40.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
41.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
42.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
43.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
44.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
45.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
46.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
47.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
48.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
49.  def toString(): String
    Definition Classes
      AnyRef → Any
50.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
51.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
52.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped